# Generated from jgd-1.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jgd

Name: rubygem-%{gem_name}
Version: 1.12
Release: 1%{?dist}
Summary: Jekyll Github Deploy
License: MIT
URL: http://github.com/yegor256/jekyll-github-deploy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rubocop) = 0.62.0
# BuildRequires: rubygem(rubocop-rspec) = 1.31.0
BuildArch: noarch

%description
Automated deployment of your Jekyll blog to Github Pages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/jgd
%{gem_instdir}/.0pdd.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.pdd
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rultor.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bash
%{gem_instdir}/bin
%{gem_instdir}/logo.svg
%{gem_instdir}/rubygems.yml.asc
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jgd.gemspec
%{gem_instdir}/test.sh

%changelog
* Mon Sep 13 2021 mockbuilder - 1.12-1
- Initial package
